From f1477f6e3551fd6beecfee5368fed1325dcd421f Mon Sep 17 00:00:00 2001
From: Jonas Gorski <jogo@openwrt.org>
Date: Sat, 7 Dec 2013 14:54:51 +0100
Subject: [PATCH 47/53] MIPS: BCM63XX: widen cpuid field

---
 arch/mips/bcm63xx/cpu.c                          | 2 +-
 arch/mips/include/asm/mach-bcm63xx/bcm63xx_cpu.h | 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

--- a/arch/mips/bcm63xx/cpu.c
+++ b/arch/mips/bcm63xx/cpu.c
@@ -24,7 +24,7 @@ EXPORT_SYMBOL(bcm63xx_regs_base);
 const int *bcm63xx_irqs;
 EXPORT_SYMBOL(bcm63xx_irqs);
 
-u16 bcm63xx_cpu_id __read_mostly;
+u32 bcm63xx_cpu_id __read_mostly;
 EXPORT_SYMBOL(bcm63xx_cpu_id);
 
 static u32 bcm63xx_cpu_variant __read_mostly;
@@ -127,7 +127,7 @@ unsigned int bcm63xx_get_memory_size(voi
 
 static unsigned int detect_cpu_clock(void)
 {
-	u16 cpu_id = bcm63xx_get_cpu_id();
+	u32 cpu_id = bcm63xx_get_cpu_id();
 
 	switch (cpu_id) {
 	case BCM3368_CPU_ID:
--- a/arch/mips/include/asm/mach-bcm63xx/bcm63xx_cpu.h
+++ b/arch/mips/include/asm/mach-bcm63xx/bcm63xx_cpu.h
@@ -28,7 +28,7 @@ u32 bcm63xx_get_cpu_variant(void);
 u8 bcm63xx_get_cpu_rev(void);
 unsigned int bcm63xx_get_cpu_freq(void);
 
-static inline u16 __pure __bcm63xx_get_cpu_id(const u16 cpu_id)
+static inline u32 __pure __bcm63xx_get_cpu_id(const u32 cpu_id)
 {
 	switch (cpu_id) {
 #ifdef CONFIG_BCM63XX_CPU_3368
@@ -70,11 +70,11 @@ static inline u16 __pure __bcm63xx_get_c
 	return cpu_id;
 }
 
-extern u16 bcm63xx_cpu_id;
+extern u32 bcm63xx_cpu_id;
 
-static inline u16 __pure bcm63xx_get_cpu_id(void)
+static inline u32 __pure bcm63xx_get_cpu_id(void)
 {
-	const u16 cpu_id = bcm63xx_cpu_id;
+	const u32 cpu_id = bcm63xx_cpu_id;
 
 	return __bcm63xx_get_cpu_id(cpu_id);
 }
